Bug 1426448 - [RFE] Add schema to full backup if dbfiles are corrupted
Summary: [RFE] Add schema to full backup if dbfiles are corrupted
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Backup & Restore
Version: 6.2.7
Hardware: x86_64
OS: Linux
high
urgent vote
Target Milestone: Unspecified
Assignee: Christine Fouant
QA Contact: Bruno Rocha
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-23 23:14 UTC by Taft Sanders
Modified: 2019-04-01 20:26 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-21 12:38:27 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0336 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC
Foreman Issue Tracker 18925 None None None 2017-03-15 21:32 UTC

Description Taft Sanders 2017-02-23 23:14:59 UTC
3. What is the nature and description of the request?  
  To provide a more full proof backup

4. Why does the customer need this? (List the business requirements here)  
  Customer has run into the issue of database corruption. It wasn't until the database corruption started causing issues that the issue was noticed. Backups also contained the corruption.

5. How would the customer like to achieve this? (List the functional requirements here)  
  In the event that the binary dbfiles are corrupted, having the full schema provides a secondary restore avenue.

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
  No

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
  As soon as possible

9. Is the sales team involved in this request and do they have any additional input?  
  No
10. List any affected packages or components.  
  
11. Would the customer be able to assist in testing this functionality if implemented? 
  Yes

Comment 2 Taft Sanders 2017-02-23 23:18:32 UTC
Upstream request:
Add schema to full backup if dbfiles are corrupted by jcpunk · Pull Request #373 · Katello/katello-packaging
https://github.com/Katello/katello-packaging/pull/373

Comment 5 Christine Fouant 2017-03-15 21:32:54 UTC
Created redmine issue http://projects.theforeman.org/issues/18925 from this bug

Comment 6 pm-sat@redhat.com 2017-03-23 18:05:58 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18925 has been resolved.

Comment 7 Taft Sanders 2017-03-27 15:47:33 UTC
Customer for case 01792246 is prepared to accept and test this whenever engineering gets a fix prepared for the katello-backup

Comment 9 Bruno Rocha 2017-09-21 23:27:21 UTC
[root@cloud-qe-15 backups]# rpm -q satellite
satellite-6.3.0-18.0.beta.el7sat.noarch


[root@cloud-qe-15 v2]# katello-backup /tmp/backups/with_schema --logical-db-backup
Starting backup: 2017-09-21 19:13:52 -0400
Creating backup folder /tmp/backups/with_schema/katello-backup-20170921191353
Generating metadata ... 
Done.
Backing up config files... 
Done.
Backing up postgres online schema... 
Done.
Backing up mongo online schema... 
...
Done with backup: 2017-09-21 19:16:45 -0400
**** BACKUP Complete, contents can be found in: /tmp/backups/with_schema/katello-backup-20170921191353 ****

then:

[root@cloud-qe-15 backups]# ls -a /tmp/backups/with_schema/katello-backup-20170921191353/*dump
/tmp/backups/with_schema/katello-backup-20170921191353/candlepin.dump
/tmp/backups/with_schema/katello-backup-20170921191353/foreman.dump
/tmp/backups/with_schema/katello-backup-20170921191353/pg_globals.dump

/tmp/backups/with_schema/katello-backup-20170921191353/mongo_dump:
.  ..  admin  pulp_database  test


Dump files added by https://github.com/Katello/katello-packaging/pull/373/ are present.

Comment 12 errata-xmlrpc 2018-02-21 12:38:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.